echo off
echo ********************* Z80 installation test *************************
echo script to test the installation of the ASM80 assembler and Z80 linker
echo assemble the test file
echo asm80 -l -o test80 test80
asm80 -l -o test80 test80 > test80.lis
echo add the test file to the library
echo lib80 -r test80.obj test80.lib
lib80 -r test80.obj test80.lib
echo link the linker test file with the library using a command file
echo lnkz80 -m -o sieve -c testz80.cmd
lnkz80 -m -o sieve -c testz80.cmd > test80.map
echo ********************* 64180 installation test ***********************
echo script to test the installation of the ASM80 assembler and 180 linker
echo assemble the test file sources
echo asm80 -f 180 lnk180a.src
asm80 -f 180 lnk180a.src
echo asm80 -f 180 lnk180b.src
asm80 -f 180 lnk180b.src
echo asm80 -f 180 lnk180c.src
asm80 -f 180 lnk180c.src
echo asm80 -f 180 runtime.src
asm80 -f 180 runtime.src
echo link the linker test file with the library using a command file
echo lnk180 -m -c test180.cmd
lnk180 -m -c test180.cmd > test180.map
